Union tool gives completly unpredictive results
Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:3.0.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26745

Description

I've attached 2 shapefiles that illustrate the issue. The result of the union gives 79 features and lot of them are overlayed. SAGA union

works correctly, it gives 1495 not overlayed features and the attributes data are correctly affected to each new features.

I haven't test it on qgis 2.18 but as I remember I never encounter this kind of issue with union tool on previous version.

History

#1 - 2018-05-05 09:54 PM - Nyall Dawson

- Status changed from Open to Feedback

Please check with a nightly release - the union tool has been rewritten from scratch for 3.2

#2 - 2018-05-06 11:14 AM - Dominique Lyszczarz

Thank you Nyall for pointing this, the new union tool now works correctly, in this example I get the same result as SAGA (with split part unchecked). The

issue can be closed.

#3 - 2018-05-06 12:40 PM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Fixed in 3.2

Files

union_test.zip 501 KB 2018-05-05 Dominique Lyszczarz
